<!--<!DOCTYPE html>-->
<!--<html lang="en">-->
<!--<head>-->
<!--    <meta charset="UTF-8" />-->
<!--    <meta http-equiv="X-UA-Compatible" content="IE=edge" />-->
<!--    <meta name="viewport" content="width=device-width, initial-scale=1.0" />-->
<!--    <title>DOM2</title>-->
<!--</head>-->
<!--<body id="test" something="non-standard" type="abc">-->
<!--    <input id="input" type="time" />-->
<!--    <script>-->
<!--        console.log(input.type);-->
<!--        let bodyEl = document.getElementById('test');-->
<!--        console.log(bodyEl.getAttribute('something'));-->
<!--        bodyEl.setAttribute('something', 'something else');-->
<!--        console.log(bodyEl.getAttribute('something'));-->
<!--    </script>-->
<!--</body>-->
<!--</html>-->

<!-------------------------------------- 02 -->

<!--!DOCTYPE html>-->
<!--<html lang="en">-->
<!--<head>-->
<!--    <meta charset="UTF-8" />-->
<!--    <meta http-equiv="X-UA-Compatible" content="IE=edge" />-->
<!--    <meta name="viewport" content="width=device-width, initial-scale=1.0" />-->
<!--    <title>Document</title>-->
<!--</head>-->
<!--<body>-->
<!--<style>-->
<!--    .order[data-order-state="new"] {-->
<!--        color: green;-->
<!--    }-->
<!--    .order[data-order-state="pending"] {-->
<!--        color: blue;-->
<!--    }-->
<!--    .order[data-order-state="canceled"] {-->
<!--        color: red;-->
<!--    }-->
<!--</style>-->
<!--<div id="order" class="order" data-order-state="new">A new order.</div>-->
<!--<script>-->
<!--    let order = document.getElementById('order');-->
<!--    console.log(order.dataset.orderState);-->
<!--    order.dataset.orderState = 'pending';-->
<!--</script>-->
<!--</body>-->
<!--</html>-->

<!-------------------------------------- 03 -->

<!--<!DOCTYPE html>-->
<!--<html lang="en">-->
<!--<head>-->
<!--    <meta charset="UTF-8" />-->
<!--    <meta http-equiv="X-UA-Compatible" content="IE=edge" />-->
<!--    <meta name="viewport" content="width=device-width, initial-scale=1.0" />-->
<!--    <title>Document</title>-->
<!--</head>-->
<!--<body>-->
<!--<ol id="ol">-->
<!--    <li>0</li>-->
<!--    <li>1</li>-->
<!--    <li>2</li>-->
<!--</ol>-->
<!--<script>-->
<!--    ol.before("before"); // вставить строку "before" перед <ol>-->
<!--    ol.after("after"); // вставить строку "after" после <ol>-->
<!--    let liFirst = document.createElement("li");-->
<!--    liFirst.innerHTML = "prepend";-->
<!--    ol.prepend(liFirst); // вставить liFirst в начало <ol>-->
<!--    let liLast = document.createElement("li");-->
<!--    liLast.innerHTML = "append";-->
<!--    ol.append(liLast); // вставить liLast в конец <ol>-->
<!--</script>-->
<!--</body>-->
<!--</html>-->

<!-------------------------------------- 04 -->

<!--<!DOCTYPE html>-->
<!--<html lang="en">-->
<!--<head>-->
<!--    <meta charset="UTF-8" />-->
<!--    <meta http-equiv="X-UA-Compatible" content="IE=edge" />-->
<!--    <meta name="viewport" content="width=device-width, initial-scale=1.0" />-->
<!--    <title>Document</title>-->
<!--</head>-->
<!--<body>-->
<!--<style>-->
<!--    .alert {-->
<!--        padding: 15px;-->
<!--        border: 1px solid #d6e9c6;-->
<!--        border-radius: 4px;-->
<!--        color: #3c763d;-->
<!--        background-color: #dff0d8;-->
<!--    }-->
<!--</style>-->
<!--<div id="alert" class="alert">-->
<!--    <strong>Всем привет!</strong> Вы прочитали важное сообщение.-->
<!--</div>-->
<!--<script>-->
<!--    const div = document.getElementById('alert');-->
<!--    const newAlert = div.cloneNode(true);-->
<!--    newAlert.innerText = 'Новое сообщение';-->
<!--    div.after(newAlert);-->
<!--</script>-->
<!--</body>-->
<!--</html>-->

<!-------------------------------------- 05 -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
</head>
<body class="main page">
<script>
    // добавление класса
    document.body.classList.add("article");
    alert(document.body.className); // main page article
</script>
</body>
</html>

<!-------------------------------------- 06 -->

